package cn.com.poc.user.entity;

import cn.com.yict.framemax.data.model.BaseModelClass;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;


public class Member3rdPartyRelationEntity extends BaseModelClass implements Serializable {

    private static final long serialVersionUID = 1L;
    
  
    /** id
    *
    */ 
    private Integer id;
    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }


  
    /** memberId
    *会员id
    */ 
    private Integer memberId;
    
    public Integer getMemberId(){
        return this.memberId;
    }
    
    public void setMemberId(Integer memberId){
        this.memberId = memberId;
    }
    
  
    /** relation_key
    *
    */ 
    private String relationKey;
    
    public String getRelationKey(){
        return this.relationKey;
    }
    
    public void setRelationKey(String relationKey){
        this.relationKey = relationKey;
    }
    
  
    /** relation_platform
    *
    */ 
    private String relationPlatform;
    
    public String getRelationPlatform(){
        return this.relationPlatform;
    }
    
    public void setRelationPlatform(String relationPlatform){
        this.relationPlatform = relationPlatform;
    }

  
    /** remark
    *备注
    */ 
    private String remark;
    
    public String getRemark(){
        return this.remark;
    }
    
    public void setRemark(String remark){
        this.remark = remark;
    }
    
  

}